# The path
export PATH=$PATH/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/usr/bin/core_perl:/opt/android-ndk:/opt/android-sdk/tools/:/opt/android-sdk/build-tools/24.0.0/:/usr/lib/emscripten:$HOME/.script/check:$HOME/.gem/ruby/2.3.0/bin:$HOME/.scripts:$HOME/.more-scripts/stop/:$HOME/.more-scripts/

# My editor
export EDITOR="vim"

# Some config
export LD_LIBRARY_PATH=/usr/lib
# export LD_PRELOAD='/usr/$LIB/libstdc++.so.6 /usr/$LIB/libgcc_s.so.1 /usr/$LIB/libxcb.so.1'
export MAKEFLAGS="+j`nproc`"

# Paths needed for soft
export CLASSPATH="$CLASSPATH:$HOME/.java/packages/*:$HOME/.java/packages/lib/*:/usr/share/java/*:/usr/share/scala/lib/*"
export MATLABPATH=$HOME/.matlab2
export GOPATH="$HOME/.config/go"
export TEXMFHOME="$HOME/.texmf"

# I want clang as default compiler if it exists
command -v clang > /dev/null 2>&1
if [ $? -eq 0 ]; then
    export CC="clang"
fi

command -v clang++ > /dev/null 2>&1
if [ $? -eq 0 ]; then
    export CXX="clang++"
fi

# Wine Debug
export WINEDEBUG=-all

# for go
if [ -d /opt/go/bin ]; then
    export GOROOT=/opt/go
    export GOPATH=$HOME/srcs/go
    export PATH=$PATH:$GOROOT/bin
fi

# for rust
export RUST_BACKTRACE=1

# gclone
export GCLONE_PATH=~/git
